diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -7921,43 +6694,43 @@ private:
    of the return expr in the callee frame and the lvalue for the gcall's
    assignment in the caller frame, and it seems cleaner to express all
    lvalue and rvalue lookups implicitly relative to a "current" frame).
-   The svalue2_ids in *KNOWN_USED_SVALS are not remapped and hence this
+   The svalue_ids in *KNOWN_USED_SVALS are not remapped and hence this
    call makes it invalid.  */
 
 void
-region_model2::purge_unused_svalue2s (purge_stats *stats,
-				    region_model2_context *ctxt,
-				    svalue2_id_set *known_used_svals)
+region_model::purge_unused_svalues (purge_stats *stats,
+				    region_model_context *ctxt,
+				    svalue_id_set *known_used_svals)
 {
   // TODO: might want to avoid a vfunc call just to do logging here:
   logger *logger = ctxt ? ctxt->get_logger () : NULL;
 
   LOG_SCOPE (logger);
 
-  auto_sbitmap used (m_svalue2s.length ());
+  auto_sbitmap used (m_svalues.length ());
   bitmap_clear (used);
 
   if (known_used_svals)
     {
       /* We can't use an sbitmap for known_used_svals as the number of
-	 svalue2s could have grown since it was created.  */
-      for (unsigned i = 0; i < get_num_svalue2s (); i++)
-	if (known_used_svals->svalue2_p (svalue2_id::from_int (i)))
+	 svalues could have grown since it was created.  */
+      for (unsigned i = 0; i < get_num_svalues (); i++)
+	if (known_used_svals->svalue_p (svalue_id::from_int (i)))
 	  bitmap_set_bit (used, i);
     }
 
-  /* Walk the region2s, marking sids that are used.  */
+  /* Walk the regions, marking sids that are used.  */
   unsigned i;
-  region2 *r;
-  FOR_EACH_VEC_ELT (m_region2s, i, r)
+  region *r;
+  FOR_EACH_VEC_ELT (m_regions, i, r)
     {
-      const svalue2 *sval = r->get_value_direct ();
+      const svalue *sval = r->get_value_direct ();
       if (!sid.null_p ())
 	bitmap_set_bit (used, sid.as_int ());
     }
 
-  /* Now purge any constraints involving svalue2s we don't care about.  */
-  restrict_to_used_svalue2s criterion (used);
+  /* Now purge any constraints involving svalues we don't care about.  */
+  restrict_to_used_svalues criterion (used);
   m_constraints->purge (criterion, stats);
 
   /* Mark any sids that are in constraints that survived.  */
@@ -7966,7 +6739,7 @@ region_model2::purge_unused_svalue2s (purge_stats *stats,
     FOR_EACH_VEC_ELT (m_constraints->m_equiv_classes, i, ec)
       {
 	int j;
-	const svalue2 **sid;
+	const svalue **sid;
 	FOR_EACH_VEC_ELT (ec->m_vars, j, sid)
 	  {
 	    gcc_assert (!sid->null_p ());
@@ -7977,33 +6750,33 @@ region_model2::purge_unused_svalue2s (purge_stats *stats,
 
   /* Build a mapping from old-sid to new-sid so that we can preserve
      order of the used IDs and move all redundant ones to the end.
-     Iterate though svalue2 IDs, adding used ones to the front of
+     Iterate though svalue IDs, adding used ones to the front of
      the new list, and unused ones to the back.  */
-  svalue2_id_map map (m_svalue2s.length ());
+  svalue_id_map map (m_svalues.length ());
   int next_used_new_sval = 0;
-  int after_next_unused_new_sval = m_svalue2s.length ();
-  for (unsigned i = 0; i < m_svalue2s.length (); i++)
+  int after_next_unused_new_sval = m_svalues.length ();
+  for (unsigned i = 0; i < m_svalues.length (); i++)
     {
-      const svalue2 *src (svalue2_id::from_int (i));
+      const svalue *src (svalue_id::from_int (i));
       if (bitmap_bit_p (used, i))
 	{
 	  if (logger)
 	    logger->log ("sv%i is used", i);
-	  map.put (src, svalue2_id::from_int (next_used_new_sval++));
+	  map.put (src, svalue_id::from_int (next_used_new_sval++));
 	}
       else
 	{
 	  if (logger)
 	    logger->log ("sv%i is unused", i);
-	  map.put (src, svalue2_id::from_int (--after_next_unused_new_sval));
+	  map.put (src, svalue_id::from_int (--after_next_unused_new_sval));
 	}
     }
   /* The two insertion points should have met.  */
   gcc_assert (next_used_new_sval == after_next_unused_new_sval);
 
-  /* Now walk the region2s and the constraints, remapping sids,
-     so that all the redundant svalue2s are at the end.  */
-  remap_svalue2_ids (map);
+  /* Now walk the regions and the constraints, remapping sids,
+     so that all the redundant svalues are at the end.  */
+  remap_svalue_ids (map);
 
   if (logger)
     {
@@ -8017,71 +6790,71 @@ region_model2::purge_unused_svalue2s (purge_stats *stats,
      Potentially this could trigger leak warnings.  */
   if (ctxt)
     {
-      ctxt->remap_svalue2_ids (map);
+      ctxt->remap_svalue_ids (map);
       int num_client_items_purged
-	= ctxt->on_svalue2_purge (svalue2_id::from_int (next_used_new_sval), map);
+	= ctxt->on_svalue_purge (svalue_id::from_int (next_used_new_sval), map);
       if (stats)
 	stats->m_num_client_items += num_client_items_purged;
     }
 
-  /* Drop the redundant svalue2s from the end of the vector.  */
-  while ((signed)m_svalue2s.length () > next_used_new_sval)
+  /* Drop the redundant svalues from the end of the vector.  */
+  while ((signed)m_svalues.length () > next_used_new_sval)
     {
       if (logger)
 	{
-	  const svalue2 *victim = svalue2_id::from_int (m_svalue2s.length () - 1);
+	  const svalue *victim = svalue_id::from_int (m_svalues.length () - 1);
 	  logger->log ("deleting sv%i (was sv%i)",
 		       victim.as_int (),
 		       map.get_src_for_dst (victim).as_int ());
 	}
-      delete m_svalue2s.pop ();
+      delete m_svalues.pop ();
       if (stats)
-	stats->m_num_svalue2s++;
+	stats->m_num_svalues++;
     }
 
   validate ();
 }
 #endif
 
-/* Delete all region2s within SET_TO_PURGE, remapping region2 IDs for
-   other region2s.  It's required that there are no uses of the
-   region2s within the set (or the region2 IDs will become invalid).
+/* Delete all regions within SET_TO_PURGE, remapping region IDs for
+   other regions.  It's required that there are no uses of the
+   regions within the set (or the region IDs will become invalid).
 
    Accumulate stats to STATS.  */
 #if 0
 void
-region_model2::purge_region2s (const region2_id_set &set_to_purge,
+region_model::purge_regions (const region_id_set &set_to_purge,
 			     purge_stats *stats,
 			     logger *)
 {
   /* Build a mapping from old-rid to new-rid so that we can preserve
      order of the used IDs and move all redundant ones to the end.
-     Iterate though region2 IDs, adding used ones to the front of
+     Iterate though region IDs, adding used ones to the front of
      the new list, and unused ones to the back.  */
-  region2_id_map map (m_region2s.length ());
+  region_id_map map (m_regions.length ());
   int next_used_new_reg = 0;
-  int after_next_unused_new_reg = m_region2s.length ();
-  for (unsigned i = 0; i < m_region2s.length (); i++)
+  int after_next_unused_new_reg = m_regions.length ();
+  for (unsigned i = 0; i < m_regions.length (); i++)
     {
-      region2 *src (region2_id::from_int (i));
-      if (set_to_purge.region2_p (src))
-	map.put (src, region2_id::from_int (--after_next_unused_new_reg));
+      region *src (region_id::from_int (i));
+      if (set_to_purge.region_p (src))
+	map.put (src, region_id::from_int (--after_next_unused_new_reg));
       else
-	map.put (src, region2_id::from_int (next_used_new_reg++));
+	map.put (src, region_id::from_int (next_used_new_reg++));
     }
   /* The two insertion points should have met.  */
   gcc_assert (next_used_new_reg == after_next_unused_new_reg);
 
-  /* Now walk the region2s and svalue2s, remapping rids,
-     so that all the redundant region2s are at the end.  */
-  remap_region2_ids (map);
+  /* Now walk the regions and svalues, remapping rids,
+     so that all the redundant regions are at the end.  */
+  remap_region_ids (map);
 
-  /* Drop the redundant region2s from the end of the vector.  */
-  while ((signed)m_region2s.length () > next_used_new_reg)
+  /* Drop the redundant regions from the end of the vector.  */
+  while ((signed)m_regions.length () > next_used_new_reg)
     {
-      delete m_region2s.pop ();
+      delete m_regions.pop ();
       if (stats)
-	stats->m_num_region2s++;
+	stats->m_num_regions++;
     }
 }
 #endif
@@ -8089,29 +6862,29 @@ region_model2::purge_region2s (const region2_id_set &set_to_purge,
    If EXCLUDE_REG is non-null, then don't add it or its descendents.  */
 #if 0
 void
-region_model2::get_descendents (region2 *reg, region2_id_set *out,
-			       region2 *exclude_reg) const
+region_model::get_descendents (region *reg, region_id_set *out,
+			       region *exclude_reg) const
 {
-  out->add_region2 (rid);
+  out->add_region (rid);
 
   bool changed = true;
   while (changed)
     {
       changed = false;
       unsigned i;
-      region2 *r;
-      FOR_EACH_VEC_ELT (m_region2s, i, r)
+      region *r;
+      FOR_EACH_VEC_ELT (m_regions, i, r)
 	{
-	  region2 *iter_reg = region2_id::from_int (i);
+	  region *iter_reg = region_id::from_int (i);
 	  if (iter_reg == exclude_reg)
 	    continue;
-	  if (!out->region2_p (iter_reg))
+	  if (!out->region_p (iter_reg))
 	    {
-	      region2 *parent_reg = r->get_parent ();
+	      region *parent_reg = r->get_parent ();
 	      if (!parent_reg.null_p ())
-		if (out->region2_p (parent_reg))
+		if (out->region_p (parent_reg))
 		  {
-		    out->add_region2 (iter_reg);
+		    out->add_region (iter_reg);
 		    changed = true;
 		  }
 	    }
@@ -8121,27 +6894,27 @@ region_model2::get_descendents (region2 *reg, region2_id_set *out,
 #endif
 
 // FIXME
-/* Delete RID and all descendent region2s.
-   Find any pointers to such region2s; convert them to
+/* Delete RID and all descendent regions.
+   Find any pointers to such regions; convert them to
    poisoned values of kind PKIND.
    Accumulate stats on purged entities into STATS.  */
 
 void
-region_model2::unbind_region2_and_descendents (const region2 *reg,
+region_model::unbind_region_and_descendents (const region *reg,
 					       enum poison_kind pkind,
-					       purge_stats2 *stats,
+					       purge_stats *stats,
 					       logger *logger)
 {
   /* Gather a set of base regions to be unbound.  */
-  hash_set<const region2 *> base_regs;
+  hash_set<const region *> base_regs;
   for (store::cluster_map_t::iterator iter = m_store.begin ();
        iter != m_store.end (); ++iter)
     {
-      const region2 *iter_base_reg = (*iter).first;
+      const region *iter_base_reg = (*iter).first;
       if (iter_base_reg->descendent_of_p (reg))
 	base_regs.add (iter_base_reg);
     }
-  for (hash_set<const region2 *>::iterator iter = base_regs.begin ();
+  for (hash_set<const region *>::iterator iter = base_regs.begin ();
        iter != base_regs.end (); ++iter)
     m_store.purge_cluster (*iter);
 
@@ -8155,32 +6928,32 @@ region_model2::unbind_region2_and_descendents (const region2 *reg,
 
 struct bad_pointer_finder
 {
-  bad_pointer_finder (const region2 *reg, enum poison_kind pkind,
-		      region_model2_manager *mgr)
+  bad_pointer_finder (const region *reg, enum poison_kind pkind,
+		      region_model_manager *mgr)
   : m_reg (reg), m_pkind (pkind), m_mgr (mgr), m_count (0)
   {}
 
-  void on_binding (const binding_key *key, const svalue2 *&sval)
+  void on_binding (const binding_key *key, const svalue *&sval)
   {
-    if (const region_svalue2 *ptr_sval = sval->dyn_cast_region_svalue2 ())
+    if (const region_svalue *ptr_sval = sval->dyn_cast_region_svalue ())
       {
-	const region2 *ptr_dst = ptr_sval->get_pointee ();
+	const region *ptr_dst = ptr_sval->get_pointee ();
 	/* Poison ptrs to descendents of REG, but not to REG itself,
 	   otherwise double-free detection doesn't work (since sm-state
 	   for "free" is stored on the original ptr svalue).  */
 	if (ptr_dst->descendent_of_p (m_reg)
 	    && ptr_dst != m_reg)
 	  {
-	    sval = m_mgr->get_or_create_poisoned_svalue2 (m_pkind,
+	    sval = m_mgr->get_or_create_poisoned_svalue (m_pkind,
 							  sval->get_type ());
 	    ++m_count;
 	  }
       }
   }
 
-  const region2 *m_reg;
+  const region *m_reg;
   enum poison_kind m_pkind;
-  region_model2_manager *const m_mgr;
+  region_model_manager *const m_mgr;
   int m_count;
 };
 
@@ -8190,7 +6963,7 @@ struct bad_pointer_finder
 // FIXME: ^^ unit test for this?
 
 int
-region_model2::poison_any_pointers_to_descendents (const region2 *reg,
+region_model::poison_any_pointers_to_descendents (const region *reg,
 						   enum poison_kind pkind)
 {
   bad_pointer_finder bv (reg, pkind, m_mgr);
@@ -8203,9 +6976,9 @@ region_model2::poison_any_pointers_to_descendents (const region2 *reg,
    FIXME: POINT  */
 
 bool
-region_model2::can_merge_with_p (const region_model2 &other_model,
+region_model::can_merge_with_p (const region_model &other_model,
 				 const program_point &point,
-				 region_model2 *out_model) const
+				 region_model *out_model) const
 {
   gcc_assert (out_model);
   gcc_assert (m_mgr == other_model.m_mgr);
@@ -8215,7 +6988,7 @@ region_model2::can_merge_with_p (const region_model2 &other_model,
     return false;
   out_model->m_current_frame = m_current_frame;
 
-  model2_merger m (this, &other_model, point, out_model);
+  model_merger m (this, &other_model, point, out_model);
 
   if (!store::can_merge_p (&m_store, &other_model.m_store,
 			   &out_model->m_store, m_mgr->get_store_manager (),
@@ -8223,222 +6996,30 @@ region_model2::can_merge_with_p (const region_model2 &other_model,
     return false;
 
   /* Merge constraints.  */
-  constraint_manager2::merge (*m_constraints2,
-			      *other_model.m_constraints2,
-			      out_model->m_constraints2,
+  constraint_manager::merge (*m_constraints,
+			      *other_model.m_constraints,
+			      out_model->m_constraints,
 			      m);
 
   return true;
 }
 
-/* For debugging purposes: look for a region2 within this region_model2
-   for a decl named NAME (or an SSA_NAME for such a decl),
-   returning its value, or svalue2_id::null if none are found.  */
-#if 0
-svalue2_id
-region_model2::get_value_by_name (const char *name) const
-{
-  gcc_assert (name);
-  tree identifier = get_identifier (name);
-  return get_root_region2 ()->get_value_by_name (identifier, *this);
-}
-#endif
-/* Generate or reuse an svalue2 *within this model for an index
-   into an array of type PTR_TYPE, based on OFFSET_SVAL.  */
-#if 0
-svalue2_id
-region_model2::convert_byte_offset_to_array_index (tree ptr_type,
-						  svalue2 *offset_sval)
-{
-  gcc_assert (POINTER_TYPE_P (ptr_type));
-
-  if (tree offset_cst = maybe_get_constant (offset_sval))
-    {
-      tree elem_type = TREE_TYPE (ptr_type);
-
-      /* Arithmetic on void-pointers is a GNU C extension, treating the size
-	 of a void as 1.
-	 https://gcc.gnu.org/onlinedocs/gcc/Pointer-Arith.html  */
-      if (TREE_CODE (elem_type) == VOID_TYPE)
-	return offset_sval;
-
-      /* First, use int_size_in_bytes, to reject the case where we have an
-	 incomplete type, or a non-constant value.  */
-      HOST_WIDE_INT hwi_byte_size = int_size_in_bytes (elem_type);
-      if (hwi_byte_size > 0)
-	{
-	  /* Now call size_in_bytes to get the answer in tree form.  */
-	  tree byte_size = size_in_bytes (elem_type);
-	  gcc_assert (byte_size);
-	  /* Try to get a constant by dividing, ensuring that we're in a
-	     signed representation first.  */
-	  tree index
-	    = fold_binary (TRUNC_DIV_EXPR, ssizetype,
-			   fold_convert (ssizetype, offset_cst),
-			   fold_convert (ssizetype, byte_size));
-	  if (index && TREE_CODE (index) == INTEGER_CST)
-	    return get_or_create_constant_svalue2 (index);
-	}
-    }
-
-  /* Otherwise, we don't know the array index; generate a new unknown value.
-     TODO: do we need to capture the relationship between two unknown
-     values (the offset and the index)?  */
-  return add_svalue2 (new unknown_svalue2 (integer_type_node));
-}
-
-/* Get a region2 of type TYPE for PTR_SVAL[OFFSET_SVAL/sizeof (*PTR_SVAL)].
-
-   If OFFSET_SVAL is known to be zero, then dereference PTR_SVAL.
-   Otherwise, impose a view of "typeof(*PTR_SVAL)[]" on *PTR_SVAL,
-   and then get a view of type TYPE on the relevant array element.  */
-
-region2_id
-region_model2::get_or_create_mem_ref (tree type,
-				     const svalue2 *ptr_sval,
-				     const svalue2 *offset_sval,
-				     region_model2_context *ctxt)
-{
-  const svalue2 *ptr_sval = get_svalue2 (ptr_sval);
-  tree ptr_type = ptr_sval->get_type ();
-  gcc_assert (ptr_type);
-
-  region2 *raw_reg = deref_rvalue (ptr_sval, ctxt);
-
-  const svalue2 *offset_sval = get_svalue2 (offset_sval);
-  tree offset_type = offset_sval->get_type ();
-  gcc_assert (offset_type);
-
-  if (constant_svalue2 *cst_sval = offset_sval->dyn_cast_constant_svalue2 ())
-    {
-      if (zerop (cst_sval->get_constant ()))
-	{
-	  /* Handle the zero offset case.  */
-	  return get_or_create_view (raw_reg, type, ctxt);
-	}
-
-      /* If we're already within an array of the correct type,
-	 then we want to reuse that array, rather than starting
-	 a new view.
-	 If so, figure out our raw_reg's offset from its parent,
-	 if we can, and use that to offset OFFSET_SVAL, and create
-	 the element within the parent region2.  */
-      region2 *raw_reg = get_region2 (raw_reg);
-      region2 *parent_reg = raw_reg->get_parent ();
-      tree parent_type = get_region2 (parent_reg)->get_type ();
-      if (parent_type
-	  && TREE_CODE (parent_type) == ARRAY_TYPE)
-	{
-	  // TODO: check we have the correct parent type
-	  array_region2 *parent_array = get_region2 <array_region2> (parent_reg);
-	  array_region2::key_t key_for_raw_reg;
-	  if (parent_array->get_key_for_child_region2 (raw_reg,
-						      &key_for_raw_reg))
-	    {
-	      /* Convert from offset to index.  */
-	      const svalue2 *index_sval
-		= convert_byte_offset_to_array_index (ptr_type, offset_sval);
-	      if (tree index_cst
-		    = get_svalue2 (index_sval)->maybe_get_constant ())
-		{
-		  array_region2::key_t index_offset
-		    = array_region2::key_from_constant (index_cst);
-		  array_region2::key_t index_rel_to_parent
-		    = key_for_raw_reg + index_offset;
-		  tree index_rel_to_parent_cst
-		    = wide_int_to_tree (integer_type_node,
-					index_rel_to_parent);
-		  const svalue2 *index_sval
-		    = get_or_create_constant_svalue2 (index_rel_to_parent_cst);
-
-		  /* Carry on, using the parent region2 and adjusted index.  */
-		  region2 *element_reg
-		    = parent_array->get_element (this, raw_reg, index_sval,
-						 ctxt);
-		  return get_or_create_view (element_reg, type, ctxt);
-		}
-	    }
-	}
-    }
-
-  tree array_type = build_array_type (TREE_TYPE (ptr_type),
-				      integer_type_node);
-  region2 *array_view_reg = get_or_create_view (raw_reg, array_type, ctxt);
-  array_region2 *array_reg = get_region2 <array_region2> (array_view_reg);
-
-  const svalue2 *index_sval
-    = convert_byte_offset_to_array_index (ptr_type, offset_sval);
-
-  region2 *element_reg
-    = array_reg->get_element (this, array_view_reg, index_sval, ctxt);
-
-  return get_or_create_view (element_reg, type, ctxt);
-}
-
-/* Get a region2 of type TYPE for PTR_SVAL + OFFSET_SVAL.
-
-   If OFFSET_SVAL is known to be zero, then dereference PTR_SVAL.
-   Otherwise, impose a view of "typeof(*PTR_SVAL)[]" on *PTR_SVAL,
-   and then get a view of type TYPE on the relevant array element.  */
-
-region2_id
-region_model2::get_or_create_pointer_plus_expr (tree type,
-					       const svalue2 *ptr_sval,
-					       const svalue2 *offset_in_bytes_sval,
-					       region_model2_context *ctxt)
-{
-  return get_or_create_mem_ref (type,
-				ptr_sval,
-				offset_in_bytes_sval,
-				ctxt);
-}
-
-/* Get or create a view of type TYPE of the region2 with id RAW_ID.
-   Return the id of the view (or RAW *if it of the same type).  */
-
-region2_id
-region_model2::get_or_create_view (region2 *raw_reg, tree type,
-				  region_model2_context *ctxt)
-{
-  region2 *raw_region2 = get_region2 (raw_reg);
-
-  gcc_assert (TYPE_P (type));
-  if (type != raw_region2->get_type ())
-    {
-      /* If the region2 already has a view of the requested type,
-	 reuse it.  */
-      region2 *existing_view_reg = raw_region2->get_view (type, this);
-      if (!existing_view_reg.null_p ())
-	return existing_view_reg;
-
-      /* Otherwise, make one (adding it to the region_model2 and
-	 to the viewed region2).  */
-      region2 *view_reg = add_region2_for_type (raw_reg, type, ctxt);
-      raw_region2->add_view (view_reg, this);
-      // TODO: something to signify that this is a "view"
-      return view_reg;
-    }
-
-  return raw_reg;
-}
-#endif
-
 /* Attempt to get the fndecl used at CALL, if known, or NULL_TREE
    otherwise.  */
 
 tree
-region_model2::get_fndecl_for_call (const gcall *call,
-				    region_model2_context *ctxt)
+region_model::get_fndecl_for_call (const gcall *call,
+				    region_model_context *ctxt)
 {
   tree fn_ptr = gimple_call_fn (call);
   if (fn_ptr == NULL_TREE)
     return NULL_TREE;
-  const svalue2 *fn_ptr_sval = get_rvalue (fn_ptr, ctxt);
-  if (const region_svalue2 *fn_ptr_ptr
-	= fn_ptr_sval->dyn_cast_region_svalue2 ())
+  const svalue *fn_ptr_sval = get_rvalue (fn_ptr, ctxt);
+  if (const region_svalue *fn_ptr_ptr
+	= fn_ptr_sval->dyn_cast_region_svalue ())
     {
-      const region2 *reg = fn_ptr_ptr->get_pointee ();
-      if (const function_region2 *fn_reg = reg->dyn_cast_function_region2 ())
+      const region *reg = fn_ptr_ptr->get_pointee ();
+      if (const function_region *fn_reg = reg->dyn_cast_function_region ())
 	{
 	  tree fn_decl = fn_reg->get_fndecl ();
 	  cgraph_node *node = cgraph_node::get (fn_decl);
@@ -8457,15 +7038,15 @@ region_model2::get_fndecl_for_call (const gcall *call,
 
 struct append_ssa_names_cb_data
 {
-  const region_model2 *model;
-  auto_vec<const decl_region2 *> *out;
+  const region_model *model;
+  auto_vec<const decl_region *> *out;
 };
 
 /* FIXME.  */
 
 void
-region_model2::
-get_ssa_name_regions_for_current_frame (auto_vec<const decl_region2 *> *out)
+region_model::
+get_ssa_name_regions_for_current_frame (auto_vec<const decl_region *> *out)
   const
 {
   append_ssa_names_cb_data data;
@@ -8477,12 +7058,12 @@ get_ssa_name_regions_for_current_frame (auto_vec<const decl_region2 *> *out)
 /* FIXME.  */
 
 void
-region_model2::append_ssa_names_cb (const region2 *base_reg,
+region_model::append_ssa_names_cb (const region *base_reg,
 				    append_ssa_names_cb_data *cb_data)
 {
   if (base_reg->get_parent_region () != cb_data->model->m_current_frame)
     return;
-  if (const decl_region2 *decl_reg = base_reg->dyn_cast_decl_region2 ())
+  if (const decl_region *decl_reg = base_reg->dyn_cast_decl_region ())
     {
       if (TREE_CODE (decl_reg->get_decl ()) == SSA_NAME)
 	cb_data->out->safe_push (decl_reg);
@@ -8491,20 +7072,20 @@ region_model2::append_ssa_names_cb (const region2 *base_reg,
 
 /* FIXME.  */
 
-const region2 *
-region_model2::create_region_for_heap_alloc (const svalue2 *size_in_bytes)
+const region *
+region_model::create_region_for_heap_alloc (const svalue *size_in_bytes)
 {
-  const region2 *reg = m_mgr->create_region_for_heap_alloc ();
+  const region *reg = m_mgr->create_region_for_heap_alloc ();
   record_dynamic_extents (reg, size_in_bytes);
   return reg;
 }
 
 /* FIXME.  */
 
-const region2 *
-region_model2::create_region_for_alloca (const svalue2 *size_in_bytes)
+const region *
+region_model::create_region_for_alloca (const svalue *size_in_bytes)
 {
-  const region2 *reg = m_mgr->create_region_for_alloca (m_current_frame);
+  const region *reg = m_mgr->create_region_for_alloca (m_current_frame);
   record_dynamic_extents (reg, size_in_bytes);
   return reg;
 }
@@ -8512,14 +7093,14 @@ region_model2::create_region_for_alloca (const svalue2 *size_in_bytes)
 /* FIXME.  */
 
 void
-region_model2::record_dynamic_extents (const region2 *reg,
-				       const svalue2 *size_in_bytes)
+region_model::record_dynamic_extents (const region *reg,
+				       const svalue *size_in_bytes)
 {
 #if 0
-  const svalue2 *extents_sval = m_mgr->get_or_create_extents_svalue2 (reg);
+  const svalue *extents_sval = m_mgr->get_or_create_extents_svalue (reg);
   add_constraint (extents_sval, EQ_EXPR, size_in_bytes);
   /* TODO: This needs the ability to add constraints in the model based on an
-     svalue2.  */
+     svalue.  */
   /* TODO: should be capture where we got the extents from?  (so that we can
      display that to the user)  Perhaps we can just walk backwards along
      the exploded_path to find where the constraint was added.  */
@@ -8528,12 +7109,12 @@ region_model2::record_dynamic_extents (const region2 *reg,
 #endif
 }
 
-/* struct model2_merger.  */
+/* struct model_merger.  */
 
 /* Dump a multiline representation of this merger to PP.  */
 
 void
-model2_merger::dump_to_pp (pretty_printer *pp, bool simple) const
+model_merger::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   pp_string (pp, "model A:");
   pp_newline (pp);
@@ -8554,7 +7135,7 @@ model2_merger::dump_to_pp (pretty_printer *pp, bool simple) const
   pp_string (pp, "iterated binops:");
   pp_newline (pp);
   unsigned i;
-  const binop_svalue2 *binop;
+  const binop_svalue *binop;
   FOR_EACH_VEC_ELT (m_iterated_binops, i, binop)
     {
       pp_string (pp, "  ");
@@ -8567,7 +7148,7 @@ model2_merger::dump_to_pp (pretty_printer *pp, bool simple) const
 /* Dump a multiline representation of this merger to FILE.  */
 
 void
-model2_merger::dump (FILE *fp, bool simple) const
+model_merger::dump (FILE *fp, bool simple) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -8580,7 +7161,7 @@ model2_merger::dump (FILE *fp, bool simple) const
 /* Dump a multiline representation of this merger to stderr.  */
 
 DEBUG_FUNCTION void
-model2_merger::dump (bool simple) const
+model_merger::dump (bool simple) const
 {
   dump (stderr, simple);
 }
@@ -8588,36 +7169,36 @@ model2_merger::dump (bool simple) const
 /* FIXME.  */
 #if ITERATED_BINOPS
 void
-model2_merger::add_iterating_widening_binop_thing (const binop_svalue2 *binop_sval)
+model_merger::add_iterating_widening_binop_thing (const binop_svalue *binop_sval)
 {
   // TODO!
   m_iterated_binops.safe_push (binop_sval);
 }
 #endif
 
-/* struct svalue2_id_merger_mapping.  */
+/* struct svalue_id_merger_mapping.  */
 
 #if 0
-/* svalue2_id_merger_mapping's ctor.  */
+/* svalue_id_merger_mapping's ctor.  */
 
-svalue2_id_merger_mapping::svalue2_id_merger_mapping (const region_model2 &a,
-						    const region_model2 &b)
-: m_map_from_a_to_m (a.get_num_svalue2s ()),
-  m_map_from_b_to_m (b.get_num_svalue2s ())
+svalue_id_merger_mapping::svalue_id_merger_mapping (const region_model &a,
+						    const region_model &b)
+: m_map_from_a_to_m (a.get_num_svalues ()),
+  m_map_from_b_to_m (b.get_num_svalues ())
 {
 }
 
 /* Dump a multiline representation of this to PP.  */
 
 void
-svalue2_id_merger_mapping::dump_to_pp (pretty_printer *pp) const
+svalue_id_merger_mapping::dump_to_pp (pretty_printer *pp) const
 {
-  pp_string (pp, "svalue2 *map: model A to merged model:");
+  pp_string (pp, "svalue *map: model A to merged model:");
   pp_newline (pp);
   m_map_from_a_to_m.dump_to_pp (pp);
   pp_newline (pp);
 
-  pp_string (pp, "svalue2 *map: model B to merged model:");
+  pp_string (pp, "svalue *map: model B to merged model:");
   pp_newline (pp);
   m_map_from_b_to_m.dump_to_pp (pp);
   pp_newline (pp);
@@ -8626,7 +7207,7 @@ svalue2_id_merger_mapping::dump_to_pp (pretty_printer *pp) const
 /* Dump a multiline representation of this to FILE.  */
 
 void
-svalue2_id_merger_mapping::dump (FILE *fp) const
+svalue_id_merger_mapping::dump (FILE *fp) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -8639,7 +7220,7 @@ svalue2_id_merger_mapping::dump (FILE *fp) const
 /* Dump a multiline representation of this to stderr.  */
 
 DEBUG_FUNCTION void
-svalue2_id_merger_mapping::dump () const
+svalue_id_merger_mapping::dump () const
 {
   dump (stderr);
 }
@@ -8650,17 +7231,17 @@ svalue2_id_merger_mapping::dump () const
 /* Dump RMODEL fully to stderr (i.e. without summarization).  */
 
 DEBUG_FUNCTION void
-debug (const region_model2 &rmodel)
+debug (const region_model &rmodel)
 {
   rmodel.dump (false);
 }
 
-/* class engine2.  */
+/* class engine.  */
 
 /* FIXME.  */
 
 void
-engine2::log_stats (logger *logger) const
+engine::log_stats (logger *logger) const
 {
   m_mgr.log_stats (logger, true);
 }
@@ -8723,23 +7304,23 @@ test_tree_cmp_on_constants ()
 	}
 }
 
-/* Implementation detail of the ASSERT_CONDITION_*2 macros.  */
+/* Implementation detail of the ASSERT_CONDITION_* macros.  */
 
 void
-assert_condition2 (const location &loc,
-		   region_model2 &model,
-		   const svalue2 *lhs, tree_code op, const svalue2 *rhs,
+assert_condition (const location &loc,
+		   region_model &model,
+		   const svalue *lhs, tree_code op, const svalue *rhs,
 		   tristate expected)
 {
   tristate actual = model.eval_condition (lhs, op, rhs);
   ASSERT_EQ_AT (loc, actual, expected);
 }
 
-/* Implementation detail of the ASSERT_CONDITION_*2 macros.  */
+/* Implementation detail of the ASSERT_CONDITION_* macros.  */
 
 void
-assert_condition2 (const location &loc,
-		   region_model2 &model,
+assert_condition (const location &loc,
+		   region_model &model,
 		   tree lhs, tree_code op, tree rhs,
 		   tristate expected)
 {
@@ -8770,7 +7351,7 @@ assert_dump_tree_eq (const location &loc, tree t, const char *expected)
 
 static void
 assert_dump_eq (const location &loc,
-		const region_model2 &model,
+		const region_model &model,
 		bool summarize,
 		const char *expected)
 {
@@ -8789,24 +7370,24 @@ assert_dump_eq (const location &loc,
   assert_dump_eq ((SELFTEST_LOCATION), (MODEL), (SUMMARIZE), (EXPECTED)); \
   SELFTEST_END_STMT
 
-/* Smoketest for region_model2::dump_to_pp.  */
+/* Smoketest for region_model::dump_to_pp.  */
 
 static void
 test_dump ()
 {
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  region_model model (&mgr);
 
   ASSERT_DUMP_EQ (model, false,
 		  "stack depth: 0\n"
 		  "m_called_unknown_fn: FALSE\n"
-		  "constraint_manager2:\n"
+		  "constraint_manager:\n"
 		  "  equiv classes:\n"
 		  "  constraints:\n");
   ASSERT_DUMP_EQ (model, true,
 		  "stack depth: 0\n"
 		  "m_called_unknown_fn: FALSE\n"
-		  "constraint_manager2:\n"
+		  "constraint_manager:\n"
 		  "  equiv classes:\n"
 		  "  constraints:\n");
 }
@@ -8857,9 +7438,9 @@ make_test_compound_type (const char *name, bool is_struct,
 
 /* Selftest fixture for creating the type "struct coord {int x; int y; };".  */
 
-struct coord_test2
+struct coord_test
 {
-  coord_test2 ()
+  coord_test ()
   {
     auto_vec<tree> fields;
     m_x_field = build_decl (UNKNOWN_LOCATION, FIELD_DECL,
@@ -8881,7 +7462,7 @@ struct coord_test2
 static void
 test_dump_2 ()
 {
-  coord_test2 ct;
+  coord_test ct;
 
   tree c = build_global_decl ("c", ct.m_coord_type);
   tree c_x = build3 (COMPONENT_REF, TREE_TYPE (ct.m_x_field),
@@ -8892,8 +7473,8 @@ test_dump_2 ()
   tree int_17 = build_int_cst (integer_type_node, 17);
   tree int_m3 = build_int_cst (integer_type_node, -3);
 
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  region_model model (&mgr);
   model.set_value (c_x, int_17, NULL);
   model.set_value (c_y, int_m3, NULL);
 
@@ -8901,7 +7482,7 @@ test_dump_2 ()
 
   /* Verify get_offset for "c.x".  */
   {
-    const region2 *c_x_reg = model.get_lvalue (c_x, NULL);
+    const region *c_x_reg = model.get_lvalue (c_x, NULL);
     region_offset offset = c_x_reg->get_offset ();
     ASSERT_EQ (offset.get_base_region (), model.get_lvalue (c, NULL));
     ASSERT_EQ (offset.get_bit_offset (), 0);
